org.apache.ignite.internal.processors.cache.persistence.snapshot

## Class SnapshotOperationRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.snapshot.SnapshotOperationRequest

All Implemented Interfaces:
  Serializable

    public class SnapshotOperationRequest
    extends Object
    implements Serializable

Snapshot operation start request for `DistributedProcess` initiate message.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SnapshotOperationRequest(UUID reqId, UUID opNodeId, String snpName, String snpPath, @Nullable Collection<String> grps, Set<UUID> nodes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `error()`
`void` `error(Throwable err)`
`@Nullable Collection<String>` `groups()`
`Set<UUID>` `nodes()`
`UUID` `operationalNodeId()`
`UUID` `requestId()`
`String` `snapshotName()`
`String` `snapshotPath()`
`protected boolean` `startStageEnded()`
`protected void` `startStageEnded(boolean startStageEnded)`
`long` `startTime()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SnapshotOperationRequest

    public SnapshotOperationRequest(UUID reqId,
                                    UUID opNodeId,
                                    String snpName,
                                    String snpPath,
                                    @Nullable
                                    @Nullable Collection<String> grps,
                                    Set<UUID> nodes)

Parameters:
  `reqId` - Request ID.
  `opNodeId` - Operational node ID.
  `snpName` - Snapshot name.
  `snpPath` - Snapshot directory path.
  `grps` - List of cache group names.
  `nodes` - Baseline node IDs that must be alive to complete the operation.

### Method Detail

#### requestId

    public UUID requestId()

Returns:
  Request ID.

#### snapshotName

    public String snapshotName()

Returns:
  Snapshot name.

#### snapshotPath

    public String snapshotPath()

Returns:
  Snapshot directory path.

#### groups

    @Nullable
    public @Nullable Collection<String> groups()

Returns:
  List of cache group names.

#### nodes

    public Set<UUID> nodes()

Returns:
  Baseline node IDs that must be alive to complete the operation.

#### operationalNodeId

    public UUID operationalNodeId()

Returns:
  Operational node ID.

#### error

    public Throwable error()

Returns:
  Exception occurred during snapshot operation processing.

#### error

    public void error(Throwable err)

Parameters:
  `err` - Exception occurred during snapshot operation processing.

#### startTime

    public long startTime()

Returns:
  Start time.

#### startStageEnded

    protected boolean startStageEnded()

Returns:
  Flag indicating that the `DistributedProcess.DistributedProcessType.START_SNAPSHOT` phase has completed.

#### startStageEnded

    protected void startStageEnded(boolean startStageEnded)

Parameters:
  `startStageEnded` - Flag indicating that the `DistributedProcess.DistributedProcessType.START_SNAPSHOT` phase has completed.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022